PingAuthorize API Reference

Read All Test Result Summaries

GET {{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}

The GET /test-runner/{{testRunId}}/summaries operation returns a list of test result summaries for the test run identified by {{testRunId}}.

Query parameters
Query parameter Description

testCaseIds

A comma-separated list that specifies the IDs of test cases to include in the test result summaries.

start

Specifies the starting index for result pagination. If this parameter is not provided, results are listed from the beginning.

count

Specifies the number of reports to list from the starting index.

Headers

x-user-id      {{userId}}

Example Request

  • cURL

  • C#

  • Go

  • HTTP

  • Java

  • jQuery

  • NodeJS

  • Python

  • PHP

  • Ruby

  • Swift

curl --location --globoff '{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}' \
--header 'x-user-id: {{userId}}'
var options = new RestClientOptions("{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("x-user-id", "{{userId}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("x-user-id", "{{userId}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
GET /test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}} HTTP/1.1
Host: {{apiPath}}
x-user-id: {{userId}}
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}")
  .method("GET", body)
  .addHeader("x-user-id", "{{userId}}")
  .build();
Response response = client.newCall(request).execute();
var settings = {
  "url": "{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "x-user-id": "{{userId}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}',
  'headers': {
    'x-user-id': '{{userId}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
import requests

url = "{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}"

payload = {}
headers = {
  'x-user-id': '{{userId}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'x-user-id' => '{{userId}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
require "uri"
require "net/http"

url = URI("{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["x-user-id"] = "{{userId}}"

response = http.request(request)
puts response.read_body
var request = URLRequest(url: URL(string: "{{apiPath}}/test-runner/{{testRunId}}/summaries?testCaseIds={{testCaseId}}")!,timeoutInterval: Double.infinity)
request.addValue("{{userId}}", forHTTPHeaderField: "x-user-id")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()

Example Response

200 OK

{
    "data": [
        {
            "id": "f6b8a1e9-2eca-4fd9-8d8a-624632a59b56",
            "testRunId": "8216a5ca-de67-4753-a137-6bf97e819728",
            "description": "example-test-run",
            "creation": "2025-03-10T15:19:52.574304Z",
            "snapshotId": "e948b62c-2111-4fc5-9d7f-9ac58bda2e23",
            "parentGroup": null,
            "testCaseId": "20753550-617f-4f4b-b728-80e191427be5",
            "testedEntityId": "082e0afb-df8b-4a46-9db2-46e1f14a597a",
            "assertionsResults": [],
            "passed": true
        }
    ],
    "hasBefore": false,
    "hasAfter": false
}